Bug 869055 - [abrt]: BUG: unable to handle kernel paging request at f7c7fffc
[abrt]: BUG: unable to handle kernel paging request at f7c7fffc
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-22 17:41 EDT by error201
Modified: 2013-08-01 09:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 09:57:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description error201 2012-10-22 17:41:26 EDT
Description of problem:
Problem can be reproduced reliably. After random amount of time, system freezes and can only be restored with a power cycle. Out of dozens of freezes, only received one kernel oops message. System messages log reports 'GPU lockup CP stall for more than 10000msec' and 'EIP is at radeon_ring_backup+0xb6/0x120 [radeon]'

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.2-4.fc17.i686 root=/dev/mapper/vg_eratosthenes-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_eratosthenes/lv_root SYSFONT=True rd.lvm.lv=vg_eratosthenes/lv_swap KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet crashkernel=128M
kernel:         3.6.2-4.fc17.i686 #1 Hewlett-Packard HP d530 CMT(DG767A

:BUG: unable to handle kernel paging request at f7c7fffc
:IP: [<f82f6906>] radeon_ring_backup+0xb6/0x120 [radeon]
:*pde = 341ea067 *pte = 00000000 
:Oops: 0000 [#1] SMP 
:Modules linked in: fuse bnep bluetooth rfkill ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables binfmt_misc iTCO_wdt iTCO_vendor_support ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm microcode snd_page_alloc snd_timer snd soundcore serio_raw i2c_i801 lpc_ich parport_pc parport uinput tg3 radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 1406, comm: gnome-shell Not tainted 3.6.2-4.fc17.i686 #1 Hewlett-Packard HP d530 CMT(DG767A)/085Ch
:EIP: 0060:[<f82f6906>] EFLAGS: 00010257 CPU: 0
:EIP is at radeon_ring_backup+0xb6/0x120 [radeon]
:EAX: e4b00000 EBX: 00000000 ECX: 000bb384 EDX: f7c7fffc
:ESI: 00000000 EDI: f3904888 EBP: f2bb3dd4 ESP: f2bb3db8
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:CR0: 8005003b CR2: f7c7fffc CR3: 329eb000 CR4: 000007d0
:DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
:DR6: ffff0ff0 DR7: 00000400
:Process gnome-shell (pid: 1406, ti=f2bb2000 task=f2bab240 task.ti=f2bb2000)
: 000bb384 f3904874 0002ece1 f2bb3e04 00000000 f3904000 00000000 f2bb3e1c
: f82cf3d7 e7e2502c f2bb3df0 f7c4b743 00000000 00000001 f390445c f390400c
: e7e25000 ffffffdd f2bb3e24 e4b00000 00000000 00000000 e7e25130 ffffffdd
:Call Trace:
: [<f82cf3d7>] radeon_gpu_reset+0x57/0x1c0 [radeon]
: [<f7c4b743>] ? ttm_bo_unreserve_locked+0x33/0x40 [ttm]
: [<f82f520d>] radeon_gem_handle_lockup.part.2+0xd/0x20 [radeon]
: [<f82f59f7>] radeon_gem_wait_idle_ioctl+0xa7/0xc0 [radeon]
: [<f82f5950>] ? radeon_gem_busy_ioctl+0xf0/0xf0 [radeon]
: [<f8184bf2>] drm_ioctl+0x422/0x480 [drm]
: [<f82f5950>] ? radeon_gem_busy_ioctl+0xf0/0xf0 [radeon]
: [<c046c335>] ? scheduler_tick+0xd5/0x100
: [<c0409238>] ? sched_clock+0x8/0x10
: [<f81847d0>] ? drm_copy_field+0x80/0x80 [drm]
: [<c055341a>] do_vfs_ioctl+0x7a/0x590
: [<c046f557>] ? sched_clock_cpu+0xe7/0x190
: [<c0487237>] ? getnstimeofday+0x47/0x130
: [<c0553998>] sys_ioctl+0x68/0x80
: [<c095ae1f>] sysenter_do_call+0x12/0x28
: [<c0950000>] ? cmos_do_probe+0x36c/0x371
:Code: 02 89 c8 89 4d e4 e8 da ba 23 c8 8b 55 f0 85 c0 89 02 8b 4d e4 74 46 31 f6 eb 07 66 90 8b 55 f0 8b 02 8b 57 04 8d 14 9a 83 c3 01 <8b> 12 89 14 30 83 c6 04 23 5f 50 39 f1 75 e3 8b 45 e8 e8 73 b7
:EIP: [<f82f6906>] radeon_ring_backup+0xb6/0x120 [radeon] SS:ESP 0068:f2bb3db8
:CR2: 00000000f7c7fffc
Comment 1 Fedora End Of Life 2013-07-04 00:35:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:58:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.